Bug 192044 - Under xen, shutdown -h in dom0 does not shut down machine.
Under xen, shutdown -h in dom0 does not shut down machine.
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2006-05-16 20:19 EDT by Dan Reish
Modified: 2009-12-14 15:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-26 18:07:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Reish 2006-05-16 20:19:34 EDT
Description of problem:
Install Fedora Core 5, yum update, and follow the instructions in
http://fedoraproject.org/wiki/FedoraXenQuickstartFC5.  As has been beaten to
death already, xend is broken and none of the Xen stuff works, but in addition,
the system will not shut down with shutdown -h.

This is a severe bug because power loss on a critical server, which should have
been handled gracefully with a UPS connected to the server by USB, can instead
cause hardware damage and data loss.  Not too long ago I had a disk go from
working perfectly and quietly, to crashing and becoming unrecoverable due to one
unhandled powerout.

Version-Release number of selected component (if applicable):
I believe this problem first appeared in 2.6.16-1.2111_FC5xen0.x86_64.  I am not
certain, but I believe I did a successful shutdown with
kernel-xen0-2.6.15-1.2054_FC5.x86_64 just before updating to 2111.

How reproducible:

Steps to Reproduce:
1. Install Fedora Core 5
2. yum update (optional step?)
3. Boot Xen/Linux
4. shutdown -h now

Actual results:
System goes through all the motions and then just sits there at "Power down",
without physically powering down.

Expected results:
Everything as observed except the computer should shut off at the end.

Additional info:
My switch shows the ethernet link still active, fwliw.
Comment 1 Brian Stein 2006-05-17 08:26:02 EDT
Can you confirm if this fails with 2.6.16-1.2118 kernel-xen0 and correctly works
with 2054 kernel-xen0?  Or if this behavior also happens on the standard non-xen
2111 kernel?
Comment 2 Dan Reish 2006-05-19 23:05:02 EDT
Shutting down works under kernel-2.6.15-1.2054_FC5.  Unfortunately, I can't boot
Xen anymore because I have moved my drives under an Areca RAID controller, and
the arcmsr.ko I have does not work with any kernel-xen0, so I can't try 2054
kernel-xen0, but I confirmed a few times (involuntarily) that it failed with
2.6.16-1.2118 kernel-xen0.

The motherboard on this machine is an Intel D955-XBK, which apparently has some
bugs.  The Areca card does not function with that motherboard when exactly 2 gb
of RAM is installed.  More or less RAM is fine.  Areca tech support claims this
problem only exists with this and another Intel MB.  Still, if regular Linux can
shut down successfully, I would think it ought to be possible for Xen.
Comment 3 Brian Stein 2006-05-22 08:28:01 EDT
Does this fail with the 2.6.16-1.2118 (non-xen) kernel?
Comment 5 Red Hat Bugzilla 2007-07-24 21:31:28 EDT
change QA contact
Comment 6 Chris Lalancette 2008-02-26 18:07:40 EST
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.


Note You need to log in before you can comment on or make changes to this bug.